### Name: add.cols, rm.cols
### Title: Add and remove columns of a ``big.matrix''.
### Aliases: add.cols rm.cols
### Keywords: classes methods

### ** Examples

x <- big.matrix(5, 2, init=1)
colnames(x)=c("alpha", "beta")
add.cols(x, 1, column.names="gamma")
x[,]
rm.cols(x, 2)
x[,]
add.cols(x, 2, column.names=c("jay", "mike"))
rm.cols(x, "alpha")
x[,]



