### Name: describe, attach.big.matrix
### Title: The basic shared ``big.matrix'' operations.
### Aliases: describe attach.big.matrix
### Keywords: classes methods

### ** Examples

# This example won't run on the Windows version of the package,
# and if you are reading this message you are most certainly using
# a non-Windows version.

# The example is quite silly, as you wouldn't likely do this in a
# single R session.  But if zdescription were passed to another R session
# via SNOW, NetWorkSpaces, or even by a simple file read/write,
# then the attach of the second R process would give access to the
# same object in memory.  Please see the package vignette for real examples.
## Not run: 
##D z <- shared.big.matrix(3, 3, type='integer', init=3)
##D z[,]
##D dim(z)
##D z[1,1] <- 2
##D z[,]
##D zdescription <- describe(z)
##D zdescription
##D y <- attach.big.matrix(zdescription)
##D y[,]
##D y
##D z
##D y[1,1] <- -100
##D y[,]
##D z[,]
## End(Not run)



