### Name: biglm.big.matrix, bigglm.big.matrix
### Title: Use Thomas Lumley's ``biglm'' package with a ``big.matrix''
### Aliases: biglm.big.matrix bigglm.big.matrix
### Keywords: methods classes

### ** Examples

# This example is quite silly, using the iris
# data.  But it shows that our wrapper to Lumley's biglm() function produces
# the same answer as the plain old lm() function.

## Not run: 
##D x <- matrix(unlist(iris), ncol=5)
##D colnames(x) <- names(iris)
##D x <- as.big.matrix(x)
##D head(x)
##D 
##D silly.biglm <- biglm.big.matrix(Sepal.Length ~ Sepal.Width + Species, data=x, fc="Species")
##D summary(silly.biglm)
##D 
##D y <- data.frame(x[,])
##D y$Species <- as.factor(y$Species)
##D head(y)
##D 
##D silly.lm <- lm(Sepal.Length ~ Sepal.Width + Species, data=y)
##D summary(silly.lm)
## End(Not run)



